Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227470 - kickstart %post section does not get run
Summary: kickstart %post section does not get run
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 06:42 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-06 15:46:37 UTC


Attachments (Terms of Use)

Description Wart 2007-02-06 06:42:56 UTC
Description of problem:
I have a kickstart file for FC7t1 that was generated from an earlier FC7t1
install, but with an additional small %post section at the end:

%post
echo foo > /root/foo.txt

However, it doesn't appear that the %post section ever gets run.  The 'foo.txt'
file never gets created.

Version-Release number of selected component (if applicable):
FC7 Test 1 install media, 

How reproducible:
Always

Steps to Reproduce:
1. Perform a fresh FC7 install, without using a kickstart file
2. After the install finishes, copy the generated /root/anaconda-ks.cfg to an
appropriate location
3. Add a simple %post section to the end of the kickstart file, such as:
%post
echo foo > /root/foo.txt
4. Install FC7 again, but point the installer at this kickstart file
  
Actual results:
/root/foo.txt is missing

Expected results:
After the installation is finished, the glamorous '/root/foo.txt' file is present.

Comment 1 Chris Lumens 2007-02-06 15:46:37 UTC
Thanks for the bug report.  This will be fixed in the next version of anaconda.

Comment 2 Bill Nottingham 2007-03-02 17:43:38 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.


Note You need to log in before you can comment on or make changes to this bug.